Skip to navigation

Update a meter property variable; its values are changed through the values endpoint

Requires the METER_PROPERTY_VARIABLE.UPDATE permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version
resourceIdOrReferencestringRequiredDefaults to
The ID or reference of the resource.

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
referencestringOptionalformat: "^\S+$"0-256 characters
namestring or nullOptionalformat: "^.*$"0-256 characters
descriptionstring or nullOptionalformat: "^.*$"0-256 characters
meter_property_idstring or nullOptional
The meter property whose values this variable lists. Set on create only.
meter_property_referencestring or nullOptional

Alternative to meter_property_id on create.

typeenum or nullOptional
Allowed values:
statusenum or nullOptional
Allowed values:
valueslist of strings or nullOptional
The initial values, on create only. Edit them afterwards through the values endpoint.

Response

OK
object_typestring or nullOptionalRead-only
idstring or nullOptionalRead-only
referencestringOptionalformat: "^\S+$"0-256 characters
namestring or nullOptionalformat: "^.*$"0-256 characters
descriptionstring or nullOptionalformat: "^.*$"0-256 characters
meter_property_idstring or nullOptional
The meter property whose values this variable lists. Set on create only.
typeenum or nullOptional
Allowed values:
statusenum or nullOptional
Allowed values:
value_countinteger or nullOptionalRead-only
created_atstring or nullOptionalRead-only
updated_atstring or nullOptionalRead-only

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error